Index: simplerunner/pom.xml
===================================================================
--- simplerunner/pom.xml	(revision 9)
+++ simplerunner/pom.xml	(revision 10)
@@ -42,4 +42,16 @@
 			<artifactId>randomparty</artifactId>
 			<version>1.1.0</version>
+			<scope>test</scope>
+		</dependency>
+		<dependency>
+			<groupId>geniusweb.exampleparties</groupId>
+			<artifactId>comparebids</artifactId>
+			<version>1.0.0</version>
+			<scope>test</scope>
+		</dependency>
+		<dependency>
+			<groupId>geniusweb.exampleparties</groupId>
+			<artifactId>simpleshaop</artifactId>
+			<version>1.0.0</version>
 			<scope>test</scope>
 		</dependency>
Index: simplerunner/src/main/java/geniusweb/simplerunner/NegoRunner.java
===================================================================
--- simplerunner/src/main/java/geniusweb/simplerunner/NegoRunner.java	(revision 9)
+++ simplerunner/src/main/java/geniusweb/simplerunner/NegoRunner.java	(revision 10)
@@ -14,5 +14,4 @@
 import geniusweb.protocol.NegoSettings;
 import geniusweb.protocol.partyconnection.ProtocolToPartyConnFactory;
-import geniusweb.protocol.session.SessionSettings;
 import tudelft.utilities.logging.ReportToLogger;
 import tudelft.utilities.logging.Reporter;
@@ -72,6 +71,6 @@
 		String serialized = new String(Files.readAllBytes(Paths.get(args[0])),
 				StandardCharsets.UTF_8);
-		SessionSettings settings = jackson.readValue(serialized,
-				SessionSettings.class);
+		NegoSettings settings = jackson.readValue(serialized,
+				NegoSettings.class);
 
 		NegoRunner runner = new NegoRunner(settings,
Index: simplerunner/src/test/java/geniusweb/simplerunner/SessionRunnerE2ETest.java
===================================================================
--- simplerunner/src/test/java/geniusweb/simplerunner/SessionRunnerE2ETest.java	(revision 9)
+++ simplerunner/src/test/java/geniusweb/simplerunner/SessionRunnerE2ETest.java	(revision 10)
@@ -16,5 +16,5 @@
 import com.fasterxml.jackson.databind.ObjectMapper;
 
-import geniusweb.protocol.session.SessionSettings;
+import geniusweb.protocol.NegoSettings;
 import tudelft.utilities.logging.ReportToLogger;
 import tudelft.utilities.logging.Reporter;
@@ -34,6 +34,8 @@
 	@Parameters
 	public static Collection<Object[]> data() {
-		return Arrays.asList(
-				new Object[][] { { "src/test/resources/settings.json" }, { "src/test/resources/settings2.json" } });
+		return Arrays
+				.asList(new Object[][] { { "src/test/resources/settings.json" },
+						{ "src/test/resources/settings2.json" },
+						{ "src/test/resources/shaoptoursettings.json" } });
 	}
 
@@ -44,8 +46,12 @@
 	@Before
 	public void before() throws IOException {
-		String serialized = new String(Files.readAllBytes(Paths.get(filename)), StandardCharsets.UTF_8);
-		SessionSettings settings = jackson.readValue(serialized, SessionSettings.class);
+		System.out.println("Running from file " + filename);
+		String serialized = new String(Files.readAllBytes(Paths.get(filename)),
+				StandardCharsets.UTF_8);
+		NegoSettings settings = jackson.readValue(serialized,
+				NegoSettings.class);
 
-		runner = new NegoRunner(settings, new ClassPathConnectionFactory(), logger);
+		runner = new NegoRunner(settings, new ClassPathConnectionFactory(),
+				logger);
 
 	}
Index: simplerunner/src/test/resources/shaoptoursettings.json
===================================================================
--- simplerunner/src/test/resources/shaoptoursettings.json	(revision 10)
+++ simplerunner/src/test/resources/shaoptoursettings.json	(revision 10)
@@ -0,0 +1,34 @@
+{
+	"AllPermutationsSettings": {
+		"parties": [
+			{
+				"partyref": "classpath:geniusweb.exampleparties.simpleshaop.ShaopParty",
+				"parameters": {
+				}
+			},
+			{
+				"partyref": "classpath:geniusweb.exampleparties.randomparty.RandomParty",
+				"parameters": {
+				}
+			}
+		],
+		"reuseParties": false,
+		"profiles": [
+			"file:src/test/resources/jobs/jobs1partial.json?partial=10",
+			"file:src/test/resources/jobs/jobs2.json?partial=15"
+		],
+		"partiesPerSession": 2,
+		"sessionsettings": {
+			"SHAOPSettings": {
+				"participants": [
+				],
+				"deadline": {
+					"deadlinerounds": {
+						"rounds": 10,
+						"durationms": 10000
+					}
+				}
+			}
+		}
+	}
+}
